"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const promises_1 = tslib_1.__importDefault(require("fs/promises"));
const prettier_1 = require("prettier");
exports.default = (resolveConfig) => async (file) => {
    const stat = await promises_1.default.stat(file).catch(_error => null);
    if (stat?.isDirectory()) {
        return false;
    }
    const config = (await (0, prettier_1.resolveConfig)(file, {
        editorconfig: true,
    }));
    const fileInfo = await (0, prettier_1.getFileInfo)(file, {
        resolveConfig,
        ...config,
    });
    return !!fileInfo.inferredParser;
};
//# sourceMappingURL=isSupportedExtension.js.map